import { GraphQLESLintRule } from '../types';
export interface ExceptionRule {
    types?: string[];
    suffixes?: string[];
}
declare type StrictIdInTypesRuleConfig = {
    acceptedIdNames?: string[];
    acceptedIdTypes?: string[];
    exceptions?: ExceptionRule;
};
declare const rule: GraphQLESLintRule<[StrictIdInTypesRuleConfig]>;
export default rule;
